/*February 24, 2022 */
body {
  background-color: aqua
}
main{
  display:flex;
}


section{
  margin-left: 50px;
}
.chesspiece {

  display: grid;
  grid-template-columns: repeat(4rem, 2rem);
  width:4rem;
  height: 4rem;
  background-color: hsl(0, 0%, 90%);  
  outline-color: black;
  outline-style: solid;
}

.grid {
  margin:0;

  /* width: 550px; */
  margin-left: 50px;
  display: grid;
  grid-template-columns: repeat(8, 4rem);
  /* gap: -5rem; */
  /* list-style-type: none; */
  border-radius: 0.5rem;
  height: 540px;
}

.cell {
  display:inline-block;
  width:4rem;
  height: 4rem;
  background-color: hsl(0, 0%, 90%);
  outline-color: black;
  outline-style: solid;

 
}
.king{
  background-color:coral;
}
.queen{
  background-color: cyan;
}
.knight{
  background-color:gold;
}

.bishop{
  background-color:hotpink;
}

.rook{
  background-color:mistyrose;
}

.pawn{
  background-color:palegreen;
}



 

.bking{
  background-color:coral;
}
.bqueen{
  background-color: cyan;
}
.bknight{
  background-color:gold;
}

.bishop{
  background-color:hotpink;
}

.brook{
  background-color:mistyrose;
}

.bpawn{
  background-color:palegreen;
}



.cell.color1{
  background-color:yellow;
}

.cell.color2{
  background-color:green;
}

 
.chesspieces{
  width: 550px;
  height: 30px;
  margin-top: 10px;
  margin-left: 250px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  outline-color: black;
  outline-style: solid;

}
  
.bchesspieces{
  width: 550px;
  height: 30px;
  margin-top: 5px;
  margin-left:  250px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: black;
  outline-color: black;
  outline-style: solid;
  
}




#setup{
  font-size: 30px;
  border-radius: 10%
  
}
  


#clear{
  margin-left: 20px;;
  font-size: 30px;
  border-radius: 10%
  
}


#move{
  margin-left: 20px;;
  font-size: 30px;
  border-radius: 10%
  
}
/* 
p{
  width: 600px;
  height: 50px;
  font-size: 30px;
  background-color:blanchedalmond;
  
  outline-color: black;
  outline-style: solid;
}
  */

.pone{
  width: 100px;
  height: 50px;
  font-size: 30px;
  background-color:blanchedalmond;
  /* border-radius: 10%; */
  outline-color: black;
  outline-style: solid;
  padding-left: 5px;
}
  
.ptwo{
  width: 600px;
  height: 50px;
  font-size: 30px;
  background-color:blanchedalmond;
  /* border-radius: 10%; */
  outline-color: black;
  outline-style: solid;
  padding-left: 5px;
}

.pthree{
  width: 100px;
  height: 50px;
  font-size: 30px;
  background-color:blanchedalmond;
  /* border-radius: 10%; */
  outline-color: black;
  outline-style: solid;
  padding-left: 5px;
}






#messg{
  margin-left: 20px;;
  font-size: 30px;
  /* border-radius: 10%; */
  background-color: blanchedalmond;
  outline-color: black;
  outline-style: solid;
 padding: 20px;


}
 
  
@media screen and (max-width: 480px) {
  body {
    background-color: lightgreen;
  }
}




nav{
  display: flex;
  width:99%;
  height: 80px;
  background-color: brown;
  margin-bottom: 50px;
  margin-left: 5px;
  color:white;
  justify-content: space-between;
  padding-bottom: 10px;
  border-style: solid;
  border-color: black;
  border-width: 5px;
  text-decoration: none;
  
}


#navstart{
  display: flex;
  font-size: 40px;
  width:99%;
  height: 200px;
  background-color:coral;
  margin-bottom: 50px;
  margin-left: 5px;
  color:black;
  justify-content: space-around;
  align-items: center;
  padding-bottom: 10px;
  border-style: solid;
  border-color: black;
  border-width: 5px;
  
}


a{border: 2px solid white;
  margin-top:20px;
  margin-left: 10px;
  margin-right: 10px;
  padding: 11px 25px;
  font-family: 'Playfair Display', serif;
  font-size:25px;
  display: inline-block;
  position: relative;
  color: white;
  text-decoration: none;
  border-radius: 25%;
}



.dropdown {
  display: none;
  position: absolute;
  z-index: 1;
  padding-top: 20px;
  /* padding-right: 20px; */
  text-align: center;
  /* width:200px; */
  /* border-radius: 25%; */
  
}


.navbutton:hover .dropdown {
 display: block;
}



.dropdown .navbutton {
  border-radius: 50%;
  width: 200px;
  background-color: black;
  padding-bottom: 20px;
  font-size: 3px;
}

#chessforchildren{
  background-image: url("images/chessforchildren.jpg");
  border-style: solid;
  border-width:5px;
  border-color: black;
  width:300px;
  height: 300px;
  /* background-color: red; */


}

#thetime{
 margin-top: 20px;
  height: 60px;
  width: 200px;
  background-color: blue;
}

#starta{
  color:black;
  font-size: 40px;
}

.progressbar{
  width:20px;
  height: 60px;
  background-color: lightgray;
}

#instruct{
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 25px;
  width: 400px;
  
  height: 300px;
  color: white;
  background-color:green;
  border-style:solid;
  border-color: black;
  border-width: 4px;
}

#startButton{
  background-color: coral;
  font-size: 50px;
  border-style:solid;
  border-color: white;
  border-width: 4px;
  border-radius: 15%;
}

.progSkill{
  border-style:double;
  border-color: black;
  border-width: 8px;
  margin-right: 30px;
  width:400px;
  /* display:flex; */
  align-items: center; 
  background-color: rgb(255,117,24);

  justify-content: center;
 
}
.kids{
  margin-left: 25px;
  background-image: url(images/kidsatcomputer.png);
  width: 200px;
  height: 200px;
  background-size: cover;
 
}


.skill{
  margin-left: 65px;
  margin-top: 100px;
    width: 160px;
    height: 160px;
   /* background-color: aqua; */
    position: relative;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;display: flex;
    align-items: center;
    justify-content: center;
   
    
}




.outer{
  height: 160px;
  width: 160px;
  border-radius: 50%;
  /* border: 1px solid red; */
  box-shadow:6px 6px 10px -1px rgba(0,0,0,0.15),
  -6px -6px 10px -1px rgba(255,255,255,0.7);

 
  
}



.inner{ 

  height: 120px;
  width:120px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* border: 1px solid red; */
  margin: 20px;
  border-radius: 50%;
  margin: 20px;
  box-shadow: inset 4px 4px 6px -1px rgba(0,0,0,0.2),
  inset -4px -4px 6px -1px rgba(255,255,255,0.7),
  -0.5px -0.5px 0px rgba(255,255,255,1),
  0.5px 0.5px 0px rgba(255,255,255,1),
   0px 12px 10px -10px rgba(0,0,0,0.05);
}




circle{
  padding: 200px;
      fill: none;
      stroke: url(#GradientColor);
      stroke-width: 20px;
      stroke-dasharray: 472;
      stroke-dashoffset: 472;
      animation: anim 60s linear forwards;
}

svg{
  position:absolute;
  top:0;
  left:0;
}

#number{
  font-size: 30px;
  font-weight: 900;
  color:white;
}


@keyframes anim {
  100%{
      stroke-dashoffset: 0;
  }
}

@media screen and (max-width: 480px) {
 
  body {
    background-color: aqua
  }
}